import ts from "typescript";
const operators = {
    "+": ts.SyntaxKind.PlusToken,
    "=": ts.SyntaxKind.EqualsToken,
};
export const create = ({ factory }) => (params) => {
    const node = factory.createBinaryExpression(params.left, operators[params.operator], params.right);
    return node;
};
export const make = (context) => {
    return {
        create: create(context),
    };
};
//# sourceMappingURL=BinaryExpression.js.map