import ts from "typescript";
export interface Params$Create {
    export?: true;
    name: string;
    type: ts.TypeNode;
    comment?: string;
    deprecated?: boolean;
}
export interface Factory {
    create: (params: Params$Create) => ts.TypeAliasDeclaration;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
